io.vertx.rxjava.ext.web.api

## Class RequestParameters

- java.lang.Object
- - io.vertx.rxjava.ext.web.api.RequestParameters

-     public class RequestParameters
      extends Object

  Container for request parameters

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<RequestParameters>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RequestParameters(Object delegate)`
    `RequestParameters(RequestParameters delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RequestParameter` | `body()` Return request body
    `RequestParameter` | `cookieParameter(String name)` Get cookie parameter by name
    `List<String>` | `cookieParametersNames()` Get list of all parameter names inside cookie
    `boolean` | `equals(Object o)`
    `RequestParameter` | `formParameter(String name)` Get form parameter by name
    `List<String>` | `formParametersNames()` Get list of all parameter names inside body form
    `RequestParameters` | `getDelegate()`
    `int` | `hashCode()`
    `RequestParameter` | `headerParameter(String name)` Get header parameter by name
    `List<String>` | `headerParametersNames()` Get list of all parameter names inside header
    `static RequestParameters` | `newInstance(RequestParameters arg)`
    `RequestParameter` | `pathParameter(String name)` Get path parameter by name
    `List<String>` | `pathParametersNames()` Get list of all parameter names inside path
    `RequestParameter` | `queryParameter(String name)` Get query parameter by name
    `List<String>` | `queryParametersNames()` Get list of all parameter names inside query
    `JsonObject` | `toJson()` This method converts RequestParameters in an unique JsonObject with 6 fields: cookie, path, query, header, form, body cookie, path, query, header, form are JsonObject where keys are param names and values are param values, while body depends on body's shape and may not exist
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<RequestParameters> __TYPE_ARG

  - ### Constructor Detail

    - #### RequestParameters

          public RequestParameters(RequestParameters delegate)

    - #### RequestParameters

          public RequestParameters(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public RequestParameters getDelegate()

    - #### pathParametersNames

          public List<String> pathParametersNames()

      Get list of all parameter names inside path
      Returns:

    - #### pathParameter

          public RequestParameter pathParameter(String name)

      Get path parameter by name
      Parameters:
        `name` - Parameter name
      Returns:

    - #### queryParametersNames

          public List<String> queryParametersNames()

      Get list of all parameter names inside query
      Returns:

    - #### queryParameter

          public RequestParameter queryParameter(String name)

      Get query parameter by name
      Parameters:
        `name` - Parameter name
      Returns:

    - #### headerParametersNames

          public List<String> headerParametersNames()

      Get list of all parameter names inside header
      Returns:

    - #### headerParameter

          public RequestParameter headerParameter(String name)

      Get header parameter by name
      Parameters:
        `name` - Parameter name
      Returns:

    - #### cookieParametersNames

          public List<String> cookieParametersNames()

      Get list of all parameter names inside cookie
      Returns:

    - #### cookieParameter

          public RequestParameter cookieParameter(String name)

      Get cookie parameter by name
      Parameters:
        `name` - Parameter name
      Returns:

    - #### formParametersNames

          public List<String> formParametersNames()

      Get list of all parameter names inside body form
      Returns:

    - #### formParameter

          public RequestParameter formParameter(String name)

      Get form parameter by name
      Parameters:
        `name` - Parameter name
      Returns:

    - #### body

          public RequestParameter body()

      Return request body
      Returns:

    - #### toJson

          public JsonObject toJson()

      This method converts RequestParameters in an unique JsonObject with 6 fields: cookie, path, query, header, form, body
      cookie, path, query, header, form are JsonObject where keys are param names and values are param values, while body depends on body's shape and may not exist
      Returns:

    - #### newInstance

          public static RequestParameters newInstance(RequestParameters arg)

Copyright © 2021 Eclipse. All rights reserved.